| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Instance Methods
CallbackData Class Reference

## Instance Methods
(instancetype) | - init:logLevel:data:`[implementation]`
(instancetype) | - init:videoFrameNumber:fps:quality:size:time:bitrate:speed:`[implementation]`
(CallbackType) | - getType`[implementation]`
(long) | - getSessionId`[implementation]`
(int) | - getLogLevel`[implementation]`
(AVBPrint *) | - getLogData`[implementation]`
(int) | - getStatisticsFrameNumber`[implementation]`
(float) | - getStatisticsFps`[implementation]`
(float) | - getStatisticsQuality`[implementation]`
(int64_t) | - getStatisticsSize`[implementation]`
(double) | - getStatisticsTime`[implementation]`
(double) | - getStatisticsBitrate`[implementation]`
(double) | - getStatisticsSpeed`[implementation]`

## Detailed Description

Callback data class.

Definition at line 138 of file FFmpegKitConfig.m.

## Method Documentation

## ◆ getLogData

- (AVBPrint *) getLogData |  |  |
| implementation

Definition at line 155 of file FFmpegKitConfig.m.

## ◆ getLogLevel

- (int) getLogLevel |  |  |
| implementation

Definition at line 155 of file FFmpegKitConfig.m.

## ◆ getSessionId

- (long) getSessionId |  |  |
| implementation

Definition at line 155 of file FFmpegKitConfig.m.

## ◆ getStatisticsBitrate

- (double) getStatisticsBitrate |  |  |
| implementation

Definition at line 155 of file FFmpegKitConfig.m.

## ◆ getStatisticsFps

- (float) getStatisticsFps |  |  |
| implementation

Definition at line 155 of file FFmpegKitConfig.m.

## ◆ getStatisticsFrameNumber

- (int) getStatisticsFrameNumber |  |  |
| implementation

Definition at line 155 of file FFmpegKitConfig.m.

## ◆ getStatisticsQuality

- (float) getStatisticsQuality |  |  |
| implementation

Definition at line 155 of file FFmpegKitConfig.m.

## ◆ getStatisticsSize

- (int64_t) getStatisticsSize |  |  |
| implementation

Definition at line 155 of file FFmpegKitConfig.m.

## ◆ getStatisticsSpeed

- (double) getStatisticsSpeed |  |  |
| implementation

Definition at line 155 of file FFmpegKitConfig.m.

## ◆ getStatisticsTime

- (double) getStatisticsTime |  |  |
| implementation

Definition at line 155 of file FFmpegKitConfig.m.

## ◆ getType

- (CallbackType) getType |  |  |
| implementation

Definition at line 155 of file FFmpegKitConfig.m.

## ◆ init:logLevel:data:

- (instancetype) init: |  | (long) | sessionId
logLevel: |  | (int) | logLevel
data: |  | (AVBPrint*) | data
| implementation

Definition at line 155 of file FFmpegKitConfig.m.

## ◆ init:videoFrameNumber:fps:quality:size:time:bitrate:speed:

- (instancetype) init: |  | (long) | sessionId
videoFrameNumber: |  | (int) | videoFrameNumber
fps: |  | (float) | videoFps
quality: |  | (float) | videoQuality
size: |  | (int64_t) | size
time: |  | (double) | time
bitrate: |  | (double) | bitrate
speed: |  | (double) | speed
| implementation

Definition at line 155 of file FFmpegKitConfig.m.

The documentation for this class was generated from the following file:

- FFmpegKitConfig.m